<?xml version="1.0" encoding="UTF-8" ?>
<!--
IGAC proyecto SNC

@author fredy.wilches
@version 2.0
@description Formulario de ejecución  
@cu CU-CO-V-01

-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui"
             id="numeroPredialResultantePanelGrid">

    <h:form>

        <p:dataTable var="numeroPredial"
                     value="#{managedBeanParam.numerosPredialesResultantes}"
                     id="tablaNumerosPredialesResultantes"
                     selection="#{managedBeanParam.numeroPredialSeleccionado}"
                     paginator="true" rows="5"
                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                     paginatorPosition="bottom" rowsPerPageTemplate="5,10,15"
                     emptyMessage="No existen números prediales resultantes a mostrar"
                     selectionMode="single">

            <p:column headerText="Acciones">

                <p:commandButton id="eliminarNumeroPredialBtn"
                                 process="@this"
                                 update=":tablaNumerosPredialesResultantes"
                                 oncomplete="handleCompleteSIC(xhr, status,args, confirmEliminarNumeroPredialWV, true);"
                                 icon="ui-icon-trash" title="Eliminar">
                    <f:setPropertyActionListener value="#{numeroPredial}"
                                                 target="#{managedBeanParam.numeroPredialSeleccionado}" />
                </p:commandButton>
            </p:column>

            <p:column headerText="Departamento">
                <h:outputText value="REVISAR" styleClass="outputTextStyle" />
            </p:column>

            <p:column headerText="Municipio">
                <h:outputText value="REVISAR" styleClass="outputTextStyle" />
            </p:column>

            <p:column headerText="Tipo de predio">
                <h:outputText value="REVISAR" styleClass="outputTextStyle" />
            </p:column>

            <p:column headerText="Número predial">
                <h:outputText value="REVISAR" styleClass="outputTextStyle" />
            </p:column>

            <p:column headerText="Coeficiente de copropiedad" style="width:125px">
                <p:cellEditor>
                    <f:facet name="output">
                        <h:outputText
                            value="#{managedBeanParam.coeficienteCopropiedadSelecionado}" />
                    </f:facet>
                    <f:facet name="input">
                        <h:inputText
                            value="#{managedBeanParam.coeficienteCopropiedadSelecionado}" />
                    </f:facet>
                </p:cellEditor>
            </p:column>

        </p:dataTable>

        <p:commandButton value="Adicionar"
                         oncomplete="detallePredioPHOCondominioWV.show()"
                         id="adicionarPredioPHOCondiçominioBtn" icon="ui-icon-plus"
                         title="Adicionar predio PH / condominio">
        </p:commandButton>
    </h:form>

</h:panelGrid>